unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    MemResult: TMemo;
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
  private
    procedure ShowItem(const Title, Value: string);    
  public

  end;

var
  Form1: TForm1;

implementation

uses
    pcinfo;

{$R *.dfm}

procedure TForm1.ShowItem(const Title, Value: string);
begin
    MemResult.Lines.Add(StringOfChar('=', 50));
    MemResult.Lines.Add(Title);
    MemResult.Lines.Add(StringOfChar('=', 50));
    MemResult.Lines.Add(Value);
    MemResult.Lines.Add('');
end;    

procedure TForm1.BitBtn1Click(Sender: TObject);
var
    s1, s2, s3: string;
begin
    //  Windows̃o[W
    ShowItem('Windows Version', GetOsInfo());

    //  Windows̃v_NgID
    ShowItem('Windows ProductID', GetWindowsProductID());

    //  IẼo[W
    ShowItem('IE Version', GetIEVersion());
    ShowItem('IE Version', GetIEVersion2());

    //  IE̍XVe
    ShowItem('IE Update', GetIEUpdate());

    //  ʂ̕\\
    ShowItem('ʂ̕\\', GetScreenAbility());

    //  
    GetMemoryStatus(s1, s2, s3);
    ShowItem('', s1);
    ShowItem('y[Wt@C', s2);
    ShowItem('z', s3);

    //  hCu
    ShowItem('hCu', GetDriveStatus());
end;

end.

